# Colombia

## Required fields

| Field                  | Format                                                                                                                                             | Description                                                                                |
| ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                                                                             | Cashouts login                                                                             |
| `pass`                 | String                                                                                                                                             | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                                                                           | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#document-validations)              | Beneficiary's document ID                                                                  |
| `document_type`        | See [document validations](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#document-validations)              | Beneficiary's document type                                                                |
| `country`              | `CO`                                                                                                                                               | See [country codes](/specifications/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `COP` / `USD`                                                                                                                                      | See [currency codes](/specifications/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                                                                       | Cashout amount                                                                             |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#bank-codes)                                  | Code specifying the beneficiary's bank                                                     |
| `bank_account`         | See [validations below](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#bank-account-validations)             | Beneficiary's bank account                                                                 |
| `account_type`         | See [account type codes](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#account-types)                       | Beneficiary's bank account type                                                            |
| `beneficiary_name`     | String (max length: 100)                                                                                                                           | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                                                                           | Beneficiary's last name                                                                    |
| `address`              | String (max length: 255)                                                                                                                           | Beneficiary's address                                                                      |
| `phone`                | String (max length: 20). [See validations](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#phone-validations) | Beneficiary's phone number                                                                 |

## Bank Account Validations

| Bank name | Bank code | Format                  | Regex            | Example       |
| --------- | :-------: | ----------------------- | ---------------- | ------------- |
| Nequi     |    1507   | Customer's mobile phone | `^[\s\S]{1,20}$` | 5715551234    |
| Daviplata |    1551   | Customer's mobile phone | `^[\s\S]{1,20}$` | 5715551234    |
| D24 Card  |   10001   | Empty string            | `^$`             | ""            |
| Su Red    |   10002   | Empty string            | `^$`             | ""            |
| Efecty    |   10003   | Empty string            | `^$`             |               |
| Others    |     -     | Numeric                 | `^\d{8,19}$`     | 1234567890123 |

## Account Types

The `account_type` is specified with only one character as described below.

| `account_type` | Description       |
| :------------: | ----------------- |
|     **`C`**    | Checkings account |
|     **`S`**    | Savings account   |

## Document Validations

[Click here](/specifications/countries-specifications.md#documents-validations) to check document types and validations.

## Phone validations

| Bank name | Bank code | Format                                                                                                    | Required | Example |
| --------- | :-------: | --------------------------------------------------------------------------------------------------------- | :------: | ------- |
| Su Red    |   10002   | [Valid phone number for Colombia.](/specifications/countries-specifications.md#phone-numbers-validations) |    Yes   |         |
| Others    |     -     | -                                                                                                         |    No    | -       |

## Example Request

{% tabs %}
{% tab title="Generic" %}

```java
{
    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000001",
    "country": "CO",
    "currency": "COP",
    "amount": 100,
    "document_id": "848392783",
    "document_type": "CC",
    "bank_account": "56687456",
    "bank_code": "001",
    "account_type": "C",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "address": "Calle 18, Colombia",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}

{% tab title="Baloto / Su Red " %}

```java
{
    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000001",
    "country": "CO",
    "currency": "COP",
    "amount": 100,
    "document_id": "848392783",
    "document_type": "CC",
    "bank_account": "",
    "bank_code": "10000", // 10000 for Baloto, 10002 for Su Red
    "account_type": "S",
    "phone": "+5715551234",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "address": "Calle 18, Colombia",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}

{% tab title="D24 Card" %}

```java
{
    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000002",
    "country": "CO",
    "currency": "COP",
    "amount": 100,
    "document_id": "848392783",
    "document_type": "CC",
    "bank_account": "",
    "bank_code": "10001",
    "account_type": "S",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "address": "Calle 18, Colombia",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}
{% endtabs %}

## Bank Codes

| Bank                                | Code  |
| ----------------------------------- | ----- |
| BANCO DE BOGOTÁ                     | 001   |
| BANCO POPULAR                       | 002   |
| ITAÚ - Antes CORPBANCA              | 006   |
| BANCOLOMBIA                         | 007   |
| ABN AMRO                            | 008   |
| CITIBANK                            | 009   |
| HSBC                                | 010   |
| BANCO SUDAMERIS                     | 012   |
| BBVA                                | 013   |
| ITAÚ (HELM)                         | 014   |
| BANCO COLPATRIA                     | 019   |
| BANCO DE OCCIDENTE                  | 023   |
| BANCO CAJA SOCIAL BCSC              | 032   |
| BANCO AGRARIO                       | 040   |
| BANCO DAVIVIENDA                    | 051   |
| BANCO AV VILLAS                     | 052   |
| BANCO PROCREDIT                     | 058   |
| BANCO PICHINCHA                     | 060   |
| BANCOOMEVA                          | 061   |
| BANCO FALABELLA S.A                 | 062   |
| SANTANDER                           | 065   |
| COOPCENTRAL S.A                     | 076   |
| Directa24                           | 100   |
| COOPERATIVA FINANCIERA DE ANTIOQUIA | 283   |
| COTRAFA COOPERATIVA FINANCIERA      | 289   |
| CONFIAR                             | 292   |
| FINANCIERA JURISCOOP                | 296   |
| NEQUI                               | 1507  |
| DAVIPLATA                           | 1551  |
| Su Red                              | 10002 |
| Efecty                              | 10003 |
| Nubank                              | 809   |
| BREB Key — Phone                    | 20000 |
| BREB Key — Email                    | 20001 |
| BREB Key — Document                 | 20002 |
| BREB Key — Random                   | 20003 |

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
